#ifndef __I2C_H__     //文件名全部都大写，首尾各添加2个下划线”__”
#define __I2C_H__
#include <reg52.h>
#define uchar unsigned char   
sbit SDA=P2^0;            //24C02芯片SDA引脚位定义
sbit SCL=P2^1;            //24C02芯片SCL引脚位定义
void delay();              //分别对各函数声明
void start();
void stop();
void ack();
void nack();
void write_byte(uchar date);
uchar read_byte();
void write_at24c02(uchar address ,uchar date);
uchar read_at24c02(uchar address);
#endif